2009s available - pending DST rule change in Fiji

Bug #486351 reported by Martin Pitt on 2009-11-21
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
High
Martin Pitt
Dapper
Undecided
Martin Pitt
Hardy
Undecided
Martin Pitt
Intrepid
Undecided
Martin Pitt
Jaunty
Undecided
Martin Pitt
Karmic
Undecided
Martin Pitt
Lucid
High
Martin Pitt

Bug Description

Binary package hint: tzdata

Changes from 2009r:

 - Fix a typo in Antarctica/Davis DST rules
 - Fiji will use DST this year (effective from Nov 29)

Martin Pitt (pitti) wrote :
Changed in tzdata (Ubuntu Lucid):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Test case:

With 2009r, no summer time:
$ LANG= TZ=Pacific/Fiji date -d 'now + 1 month'
Tue Dec 22 05:24:59 FJT 2009

With 2009s, we get summer time:
$ LANG= TZ=Pacific/Fiji date -d 'now + 1 month'
Tue Dec 22 06:25:17 FJST 2009

$ zdump -v Pacific/Fiji
[...]
Pacific/Fiji Sat Nov 28 14:00:00 2009 UTC = Sun Nov 29 03:00:00 2009 FJST isdst=1 gmtoff=46800
Pacific/Fiji Sat Apr 24 13:59:59 2010 UTC = Sun Apr 25 02:59:59 2010 FJST isdst=1 gmtoff=46800
Pacific/Fiji Sat Apr 24 14:00:00 2010 UTC = Sun Apr 25 02:00:00 2010 FJT isdst=0 gmtoff=43200

Changed in tzdata (Ubuntu Karmic):
status: New → In Progress
Changed in tzdata (Ubuntu Jaunty):
status: New → In Progress
Changed in tzdata (Ubuntu Intrepid):
status: New → In Progress
Changed in tzdata (Ubuntu Hardy):
status: New → In Progress
Changed in tzdata (Ubuntu Dapper):
status: New → In Progress
Changed in tzdata (Ubuntu Karmic):
assignee: nobody → Martin Pitt (pitti)
Changed in tzdata (Ubuntu Jaunty):
assignee: nobody → Martin Pitt (pitti)
Changed in tzdata (Ubuntu Intrepid):
assignee: nobody → Martin Pitt (pitti)
Changed in tzdata (Ubuntu Dapper):
assignee: nobody → Martin Pitt (pitti)
Changed in tzdata (Ubuntu Hardy):
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009s-0ubuntu1

---------------
tzdata (2009s-0ubuntu1) lucid; urgency=low

  * New upstream release 2009s:
    - Fix a typo in Antarctica/Davis DST rules
    - Fiji will use DST this year (effective from Nov 29)
    - LP: #486351
 -- Martin Pitt <email address hidden> Sat, 21 Nov 2009 11:23:06 -0600

Changed in tzdata (Ubuntu Lucid):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

All uploaded to *-proposed queues, waiting for ubuntu-sru member to process.

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Changed in tzdata (Ubuntu Hardy):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Intrepid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Jaunty):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

With the two other ubuntu-sru members being on holiday this week, and this change becoming effective in 4 days, I went ahead and accepted them myself. It's a very simple and small structural change this time, so I feel confident enough about it to take the bullets.

Changed in tzdata (Ubuntu Dapper):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

I exercised the test cases and zdump for all stable releases with the -proposed packages. All pass.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009s~repack-0ubuntu9.04

---------------
tzdata (2009s~repack-0ubuntu9.04) jaunty-proposed; urgency=low

  * New upstream release 2009s:
    - Fix a typo in Antarctica/Davis DST rules
    - Fiji will use DST this year (effective from Nov 29)
    - LP: #486351
 -- Martin Pitt <email address hidden> Mon, 23 Nov 2009 12:40:26 +0100

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009s-0ubuntu0.9.10

---------------
tzdata (2009s-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2009s:
    - Fix a typo in Antarctica/Davis DST rules
    - Fiji will use DST this year (effective from Nov 29)
    - LP: #486351
 -- Martin Pitt <email address hidden> Sat, 21 Nov 2009 11:29:08 -0600

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009s~repack-0ubuntu0.8.10

---------------
tzdata (2009s~repack-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream release 2009s:
    - Fix a typo in Antarctica/Davis DST rules
    - Fiji will use DST this year (effective from Nov 29)
    - LP: #486351
 -- Martin Pitt <email address hidden> Mon, 23 Nov 2009 12:43:20 +0100

Changed in tzdata (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009s~repack-0ubuntu0.8.04

---------------
tzdata (2009s~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2009s:
    - Fix a typo in Antarctica/Davis DST rules
    - Fiji will use DST this year (effective from Nov 29)
    - LP: #486351
 -- Martin Pitt <email address hidden> Mon, 23 Nov 2009 12:43:20 +0100

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2009-11-27
Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers